package com.yfd.platform.component.nettyclient;

import com.yfd.platform.config.ParentConfig;

/**
 *
 * netty 客户端
 * 启动线程
 */
public class BootNettyClientThread extends Thread {
    private final String ServerIP;
    private final int Serverport;
    private final ParentConfig parentConfig;
    public BootNettyClientThread(String ServerIP, int Serverport, ParentConfig parentConfig){
        this.ServerIP = ServerIP;
        this.Serverport = Serverport;
        this.parentConfig = parentConfig;
    }

    @Override
    public void run() {
        try {
            new BootNettyClient().connect(ServerIP, Serverport,parentConfig);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
